Bug 23690 - php-mysql needs rebuild in light of mysql-3.23.29-1
Summary: php-mysql needs rebuild in light of mysql-3.23.29-1
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-10 04:20 UTC by R P Herrold
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-11 20:49:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2000:136 normal SHIPPED_LIVE : Updated PHP packages available for Red Hat Linux 5.2, 6.x, and 7 2000-12-20 05:00:00 UTC

Description R P Herrold 2001-01-10 04:20:07 UTC
php-mysql-4.0.3p11-1 carries a file dependency of libmysqlclient.so.9
This is found during the RPM build time by the library dependency checking
script.

---------------

The mysql rebuild for 3.23.29-1 bumps /usr/lib/mysql/libmysqlclient to
libmysqlclient.so.10 -- As a result, it would break php-mysql to install
it.

---------------
Solution:

Rebuild php, to emit a new php-mysql, and prospectively leave a reminder
in  the .SPEC file, or through some other mechanism, to remind future
rebuilders of this effect.

---------------

JBJ included as a CC -- How might RPM detect this remote file dependency
effect, and interlock the rebuild of mysql without also carrying a php
rebuild?

Comment 1 Nalin Dahyabhai 2001-01-11 20:49:03 UTC
A 4.0.4 bug-fix is in the works, but it may take some time.


Note You need to log in before you can comment on or make changes to this bug.